Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QGuiSignalMapper

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.core.QObject
                      com.trolltech.qt.core.QSignalMapper
                          com.trolltech.qt.gui.QGuiSignalMapper

All Implemented Interfaces:
  com.trolltech.qt.QtJambiInterface

    public class QGuiSignalMapper

extends com.trolltech.qt.core.QSignalMapper

These docs are exluded. This class is internal to Qt Jambi.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QtJambiObject
`com.trolltech.qt.QtJambiObject.QPrivateConstructor`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`com.trolltech.qt.QSignalEmitter.Signal0, com.trolltech.qt.QSignalEmitter.Signal1<A>, com.trolltech.qt.QSignalEmitter.Signal2<A,B>, com.trolltech.qt.QSignalEmitter.Signal3<A,B,C>, com.trolltech.qt.QSignalEmitter.Signal4<A,B,C,D>, com.trolltech.qt.QSignalEmitter.Signal5<A,B,C,D,E>, com.trolltech.qt.QSignalEmitter.Signal6<A,B,C,D,E,F>, com.trolltech.qt.QSignalEmitter.Signal7<A,B,C,D,E,F,G>, com.trolltech.qt.QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, com.trolltech.qt.QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignal`

Field Summary
`com.trolltech.qt.QSignalEmitter.Signal1<QWidget>` | `mappedQWidget`

Fields inherited from class com.trolltech.qt.core.QSignalMapper
`mappedInteger, mappedQObject, mappedString`

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`` | `QGuiSignalMapper()` This method is internal to Qt Jambi.
`` | `QGuiSignalMapper(com.trolltech.qt.core.QObject parent)` This method is internal to Qt Jambi.
`protected` | `QGuiSignalMapper(com.trolltech.qt.QtJambiObject.QPrivateConstructor p)` This method is internal to Qt Jambi.

Method Summary
`protected boolean` | `__qt_signalInitialization(java.lang.String name)` This method is internal to Qt Jambi.
`static QGuiSignalMapper` | `fromNativePointer(com.trolltech.qt.QNativePointer nativePointer)` This method is internal to Qt Jambi.
`com.trolltech.qt.core.QObject` | `mapping(QWidget widget)` This method is internal to Qt Jambi.
`void` | `setMapping(com.trolltech.qt.core.QObject sender, QWidget widget)` This method is internal to Qt Jambi.

Methods inherited from class com.trolltech.qt.core.QSignalMapper
`map, map, mapping, mapping, mapping, removeMappings, setMapping, setMapping, setMapping`

Methods inherited from class com.trolltech.qt.core.QObject
`blockSignals, childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, event, eventFilter, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, indexOfProperty, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, properties, property, removeEventFilter, setObjectName, setParent, setProperty, signalsBlocked, startTimer, thread, timerEvent, toString, userProperty`

Methods inherited from class com.trolltech.qt.QtJambiObject
`disableGarbageCollection, dispose, disposed, equals, finalize, nativeId, nativePointer, reassignNativeResources, reenableGarbageCollection, setJavaOwnership, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`connectSlotsByName, disconnect, disconnect, signalSender`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mappedQWidget

    public final com.trolltech.qt.QSignalEmitter.Signal1<QWidget> mappedQWidget

Constructor Detail

### QGuiSignalMapper

    public QGuiSignalMapper()

  This method is internal to Qt Jambi.

### QGuiSignalMapper

    public QGuiSignalMapper(com.trolltech.qt.core.QObject parent)

  This method is internal to Qt Jambi.

### QGuiSignalMapper

    protected QGuiSignalMapper(com.trolltech.qt.QtJambiObject.QPrivateConstructor p)

  This method is internal to Qt Jambi.

Method Detail

### mapping

    public final com.trolltech.qt.core.QObject mapping(QWidget widget)

  This method is internal to Qt Jambi.

### setMapping

    public final void setMapping(com.trolltech.qt.core.QObject sender,
                                 QWidget widget)

  This method is internal to Qt Jambi.

### fromNativePointer

    public static QGuiSignalMapper fromNativePointer(com.trolltech.qt.QNativePointer nativePointer)

  This method is internal to Qt Jambi.

### __qt_signalInitialization

    protected boolean __qt_signalInitialization(java.lang.String name)

  This method is internal to Qt Jambi.

  Overrides:
    `__qt_signalInitialization` in class `com.trolltech.qt.core.QSignalMapper`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD